Package csb :: Package bio :: Package fragments :: Module rosetta :: Class OutputBuilder

[frames] | no frames]

# Class OutputBuilder

source code

    object --+
             |
            OutputBuilder

Known Subclasses:
  - ExtendedOutputBuilder

Rosetta fragment file formatter.

Instance Methods

__init__(self, output) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add_fragment(self, fragment) Write a new fragment. | source code

add_position(self, qstart, frags) Write a new assignment origin. | source code

add_residue(self, fragment, residue) Write a new fragment residue. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| output
Inherited from `object`: `__class__`

Method Details

### __init__(self, output)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `output` (file) - destination stream
Overrides: object.__init__
  (inherited documentation)

### add_fragment(self, fragment)

source code

Write a new fragment.

Parameters:
  - `fragment` (RosettaFragment)

### add_position(self, qstart, frags)

source code

Write a new assignment origin.

Parameters:
  - `qstart` (float) - target position
  - `frags` (int) - number of fragments, starting at that position

### add_residue(self, fragment, residue)

source code

Write a new fragment residue.

Parameters:
  - `fragment` (RosettaFragment)
  - `residue` (ResidueInfo)

Property Details

### output

Get Method:
  unreachable.output(self)